#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    addenvvardlg.h addfilesdialog.h
    environmentvariableswidget.h envvartools.h
    makeoptionswidget.h removesubprojectdialog.h
    runoptionswidget.h subclassesdlg.h
    ${CMAKE_CURRENT_BINARY_DIR}/environmentvariableswidgetbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/makeoptionswidgetbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/removesubprojectdlgbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/runoptionswidgetbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/subclassesdlgbase.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/buildtools/widgets )


##### kdevbuildtoolswidgets (shared) ############

tde_add_library( kdevbuildtoolswidgets SHARED AUTOMOC
  SOURCES
    addenvvardlg.cpp addfilesdialog.cpp
    environmentdisplaydialog.cpp
    environmentdisplaydialogbase.ui
    environmentvariableswidget.cpp
    environmentvariableswidgetbase.ui envvartools.cpp
    makeoptionswidget.cpp makeoptionswidgetbase.ui
    removesubprojectdialog.cpp removesubprojectdlgbase.ui
    runoptionswidget.cpp runoptionswidgetbase.ui
    subclassesdlg.cpp subclassesdlgbase.ui
  VERSION 0.0.0
  LINK tdevelop-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
